<?php 

session_start();

require_once ("../../config/Cado.php");



require_once ("../formatos/formato.php");

require_once ("cProducto.php");

$oProducto = new cProducto();





	$dts2 = $oProducto->mostrarUno($_POST['pro_id']);

	$dt2 = mysqli_fetch_array($dts2);

	$pro_nom = $dt2['tb_producto_nom'];

	



	mysqli_free_result($dts2);





?>



<div class="col-lg-12 col-md-12 col-xs-12" style="background-color: #fff;"> 



<div class="modal-header">

        <h5 class="modal-title">MARCAS Y CODIGOS RELACIONADOS PARA <strong class="text-green"><?php echo $pro_nom ; ?></strong>  <button type="button" class="close" data-dismiss="modal" aria-label="Close">

          <span aria-hidden="true">&times;</span>

        </button></h5>

        

</div>



<input type="hidden" name="hdd_cat_id" value="<?php echo  $_POST['cat_id'] ; ?>">

<div class="col-lg-6 col-sm-3 col-xs-6">

	<label for="cmb_pro_marid">Marca:</label>

	<select name="cmb_pro_marid" id="cmb_pro_marid" class="form-control input-sm"></select>

</div>

									

<div class="col-lg-6 col-sm-3 col-xs-6">

	<label for="txt_promar_cod">Codigo:</label>

	<input type="text" name="txt_promar_cod" id="txt_promar_cod" class="form-control input-sm">

</div>





<div class="col-lg-12 col-md-12 col-xs-12">

<br>

<div id="div_marcacodigo_tabla">



</div>

<br>

</div>



</div>





<script type="text/javascript">

	

	productomarcacodigo_tabla(<?php echo $_POST['cat_id'] ?> );



	cmb_mar_id(<?php echo $_POST['cat_id'] ?>);



	function cmb_mar_id(ids){	

		$.ajax({

			type: "POST",

			url: "../marca/cmb_mar_x_cat.php",

			async:true,

			dataType: "html",                      

			data: ({

				cat_id: ids

			}),

			beforeSend: function() {

				$('#cmb_pro_marid').html('<option value="">Cargando...</option>');

			},

			success: function(html){

				$('#cmb_pro_marid').html(html);

			}

		});

	}





function productomarcacodigo_tabla(cat_id)

{

	$.ajax({

		type: "POST",

		url: "../producto/producto_form_codigo_tabla.php",

		async:true,

		dataType: "html", 

		data: ({

				cat_id:cat_id

		}) ,                   

		beforeSend: function() {

			

			$('#div_marcacodigo_tabla').addClass("ui-state-disabled");

        },

		success: function(html){

			$('#div_marcacodigo_tabla').html(html);

		},

		complete: function(){			

			$('#div_marcacodigo_tabla').removeClass("ui-state-disabled");

		}

	});     

}







$("#cmb_pro_marid").change(function(){

	$("#txt_promar_cod").focus();

	return false;

});





	$("#txt_promar_cod").keydown(function(e){

		if (e.keyCode == 13){ 

			agregar_codigo('');

			$("#txt_promar_cod").val('');

			$("#cmb_pro_marid").focus();

		return false;}

	});







function agregar_codigo(act)

{

	$.ajax({

		type: "POST",

		url: "../producto/producto_reg.php",

		async:true,

		dataType: "json",                  

		data: ({

			action:	 'agregarcodigo',

			promar_id: $("#cmb_pro_marid").val(),

			cod: $("#txt_promar_cod").val()

			}),

		beforeSend: function() {



		},

		success: function(data){

			

		},

		complete: function(data)

		{

			productomarcacodigo_tabla(<?php echo $_POST['cat_id'] ?> );

		}

	});  

}







</script>

